Get liquidation address
deprecated
Legacy address model; new integrations use standing deposit addresses. Get liquidation address.
GET
/
v1
/
liquidation-addresses
/
{id}
Get liquidation address
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/liquidation-addresses/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/liquidation-addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/liquidation-addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"liquidationAddressId": "<string>",
"label": "<string>",
"sparkAddress": "<string>",
"l1DepositAddress": "<string>",
"destination": {
"chain": "arbitrum",
"asset": "<string>",
"address": "<string>"
},
"feeBps": 123,
"slippageBps": 123,
"enabled": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"disabledAt": "<string>",
"appFees": [
{
"recipient": "<string>",
"feeBps": 5000,
"affiliateId": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Path Parameters
Minimum string length:
1Response
Record
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get liquidation address
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/liquidation-addresses/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/liquidation-addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/liquidation-addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"liquidationAddressId": "<string>",
"label": "<string>",
"sparkAddress": "<string>",
"l1DepositAddress": "<string>",
"destination": {
"chain": "arbitrum",
"asset": "<string>",
"address": "<string>"
},
"feeBps": 123,
"slippageBps": 123,
"enabled": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"disabledAt": "<string>",
"appFees": [
{
"recipient": "<string>",
"feeBps": 5000,
"affiliateId": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}